version: '3'
services:
  jenkins:
    build:  
     context: .
     dockerfile: Dockerfile
    ports:
      - "2116:22"
      - "8087:8080"
      - "50000:50000"
    network_mode: bridge
    volumes:
      - ./jenkins_data:/var/jenkins_home
      - ./jenkins_log:/var/log/jenkins
